import type { CollectionSlug, Payload, RequestContext, TypedLocale } from '../../../index.js';
import type { Document, PayloadRequest, Where } from '../../../types/index.js';
export type Options<TSlug extends CollectionSlug> = {
    collection: TSlug;
    /**
     * context, which will then be passed to req.context, which can be read by hooks
     */
    context?: RequestContext;
    depth?: number;
    disableErrors?: boolean;
    locale?: TypedLocale;
    overrideAccess?: boolean;
    req?: Partial<PayloadRequest>;
    user?: Document;
    where?: Where;
};
export default function countVersionsLocal<TSlug extends CollectionSlug>(payload: Payload, options: Options<TSlug>): Promise<{
    totalDocs: number;
}>;
//# sourceMappingURL=countVersions.d.ts.map