import type { CollectionSlug, Payload, RequestContext, TypedLocale } from '../../../index.js';
import type { Document, PayloadRequest, PopulateType, SelectType, TransformCollectionWithSelect, Where } from '../../../types/index.js';
import type { BulkOperationResult, SelectFromCollectionSlug } from '../../config/types.js';
export type BaseOptions<TSlug extends CollectionSlug, TSelect extends SelectType> = {
    collection: TSlug;
    /**
     * context, which will then be passed to req.context, which can be read by hooks
     */
    context?: RequestContext;
    depth?: number;
    disableTransaction?: boolean;
    fallbackLocale?: false | TypedLocale;
    locale?: TypedLocale;
    overrideAccess?: boolean;
    overrideLock?: boolean;
    populate?: PopulateType;
    req?: Partial<PayloadRequest>;
    select?: TSelect;
    showHiddenFields?: boolean;
    user?: Document;
};
export type ByIDOptions<TSlug extends CollectionSlug, TSelect extends SelectFromCollectionSlug<TSlug>> = {
    id: number | string;
    where?: never;
} & BaseOptions<TSlug, TSelect>;
export type ManyOptions<TSlug extends CollectionSlug, TSelect extends SelectFromCollectionSlug<TSlug>> = {
    id?: never;
    where: Where;
} & BaseOptions<TSlug, TSelect>;
export type Options<TSlug extends CollectionSlug, TSelect extends SelectFromCollectionSlug<TSlug>> = ByIDOptions<TSlug, TSelect> | ManyOptions<TSlug, TSelect>;
declare function deleteLocal<TSlug extends CollectionSlug, TSelect extends SelectFromCollectionSlug<TSlug>>(payload: Payload, options: ByIDOptions<TSlug, TSelect>): Promise<TransformCollectionWithSelect<TSlug, TSelect>>;
declare function deleteLocal<TSlug extends CollectionSlug, TSelect extends SelectFromCollectionSlug<TSlug>>(payload: Payload, options: ManyOptions<TSlug, TSelect>): Promise<BulkOperationResult<TSlug, TSelect>>;
declare function deleteLocal<TSlug extends CollectionSlug, TSelect extends SelectFromCollectionSlug<TSlug>>(payload: Payload, options: Options<TSlug, TSelect>): Promise<BulkOperationResult<TSlug, TSelect> | TransformCollectionWithSelect<TSlug, TSelect>>;
export default deleteLocal;
//# sourceMappingURL=delete.d.ts.map