import type { DeepPartial } from 'ts-essentials';
import type { CollectionSlug, TypedLocale } from '../../..//index.js';
import type { Payload, RequestContext } from '../../../index.js';
import type { Document, PayloadRequest, PopulateType, SelectType, TransformCollectionWithSelect } from '../../../types/index.js';
import type { RequiredDataFromCollectionSlug, SelectFromCollectionSlug } from '../../config/types.js';
export type Options<TSlug extends CollectionSlug, TSelect extends SelectType> = {
    collection: TSlug;
    /**
     * context, which will then be passed to req.context, which can be read by hooks
     */
    context?: RequestContext;
    data?: DeepPartial<RequiredDataFromCollectionSlug<TSlug>>;
    depth?: number;
    disableTransaction?: boolean;
    draft?: boolean;
    fallbackLocale?: false | TypedLocale;
    id: number | string;
    locale?: TypedLocale;
    overrideAccess?: boolean;
    populate?: PopulateType;
    req?: Partial<PayloadRequest>;
    select?: TSelect;
    showHiddenFields?: boolean;
    user?: Document;
};
export declare function duplicate<TSlug extends CollectionSlug, TSelect extends SelectFromCollectionSlug<TSlug>>(payload: Payload, options: Options<TSlug, TSelect>): Promise<TransformCollectionWithSelect<TSlug, TSelect>>;
//# sourceMappingURL=duplicate.d.ts.map