import type { ClientField, Field, TabAsField, TabAsFieldClient } from './config/types.js';
type Args = {
    field: ClientField | Field | TabAsField | TabAsFieldClient;
    index: number;
    parentIndexPath: string;
    parentPath: string;
    parentSchemaPath: string;
};
type Result = {
    /**
     * A string of '-' separated indexes representing where
     * to find this field in a given field schema array.
     * It will always be complete and accurate.
     */
    indexPath: string;
    /**
     * Path for this field specifically.
     */
    path: string;
    /**
     * Schema path for this field specifically.
     */
    schemaPath: string;
};
export declare function getFieldPaths({ field, index, parentIndexPath, parentPath, parentSchemaPath, }: Args): Result;
export {};
//# sourceMappingURL=getFieldPaths.d.ts.map