import type { SanitizedCollectionConfig } from '../../../collections/config/types.js';
import type { ValidationFieldError } from '../../../errors/index.js';
import type { SanitizedGlobalConfig } from '../../../globals/config/types.js';
import type { RequestContext } from '../../../index.js';
import type { JsonObject, Operation, PayloadRequest } from '../../../types/index.js';
import type { Field, TabAsField } from '../../config/types.js';
type Args = {
    collection: null | SanitizedCollectionConfig;
    context: RequestContext;
    data: JsonObject;
    doc: JsonObject;
    docWithLocales: JsonObject;
    errors: ValidationFieldError[];
    field: Field | TabAsField;
    /**
     * The index of the field as it appears in the parent's fields array. This is used to construct the field path / schemaPath
     * for unnamed fields like rows and collapsibles.
     */
    fieldIndex: number;
    global: null | SanitizedGlobalConfig;
    id?: number | string;
    mergeLocaleActions: (() => Promise<void>)[];
    operation: Operation;
    /**
     * The parent's path.
     */
    parentPath: (number | string)[];
    /**
     * The parent's schemaPath (path without indexes).
     */
    parentSchemaPath: string[];
    req: PayloadRequest;
    siblingData: JsonObject;
    siblingDoc: JsonObject;
    siblingDocWithLocales?: JsonObject;
    skipValidation: boolean;
};
export declare const promise: ({ id, collection, context, data, doc, docWithLocales, errors, field, fieldIndex, global, mergeLocaleActions, operation, parentPath, parentSchemaPath, req, siblingData, siblingDoc, siblingDocWithLocales, skipValidation, }: Args) => Promise<void>;
export {};
//# sourceMappingURL=promise.d.ts.map