import type { GlobalSlug, Payload, RequestContext, TypedLocale } from '../../../index.js';
import type { Document, PayloadRequest, PopulateType, SelectType, TransformGlobalWithSelect } from '../../../types/index.js';
import type { SelectFromGlobalSlug } from '../../config/types.js';
export type Options<TSlug extends GlobalSlug, TSelect extends SelectType> = {
    context?: RequestContext;
    depth?: number;
    draft?: boolean;
    fallbackLocale?: false | TypedLocale;
    includeLockStatus?: boolean;
    locale?: 'all' | TypedLocale;
    overrideAccess?: boolean;
    populate?: PopulateType;
    req?: Partial<PayloadRequest>;
    select?: TSelect;
    showHiddenFields?: boolean;
    slug: TSlug;
    user?: Document;
};
export default function findOneLocal<TSlug extends GlobalSlug, TSelect extends SelectFromGlobalSlug<TSlug>>(payload: Payload, options: Options<TSlug, TSelect>): Promise<TransformGlobalWithSelect<TSlug, TSelect>>;
//# sourceMappingURL=findOne.d.ts.map