import type { PaginatedDocs } from '../../../database/types.js';
import type { GlobalSlug, Payload, RequestContext, TypedLocale } from '../../../index.js';
import type { Document, PayloadRequest, PopulateType, SelectType, Sort, Where } from '../../../types/index.js';
import type { TypeWithVersion } from '../../../versions/types.js';
import type { DataFromGlobalSlug } from '../../config/types.js';
export type Options<TSlug extends GlobalSlug> = {
    context?: RequestContext;
    depth?: number;
    fallbackLocale?: false | TypedLocale;
    limit?: number;
    locale?: 'all' | TypedLocale;
    overrideAccess?: boolean;
    page?: number;
    populate?: PopulateType;
    req?: Partial<PayloadRequest>;
    select?: SelectType;
    showHiddenFields?: boolean;
    slug: TSlug;
    sort?: Sort;
    user?: Document;
    where?: Where;
};
export default function findVersionsLocal<TSlug extends GlobalSlug>(payload: Payload, options: Options<TSlug>): Promise<PaginatedDocs<TypeWithVersion<DataFromGlobalSlug<TSlug>>>>;
//# sourceMappingURL=findVersions.d.ts.map