import type { DeepPartial } from 'ts-essentials';
import type { GlobalSlug, Payload, RequestContext, TypedLocale } from '../../../index.js';
import type { Document, PayloadRequest, PopulateType, SelectType, TransformGlobalWithSelect } from '../../../types/index.js';
import type { DataFromGlobalSlug, SelectFromGlobalSlug } from '../../config/types.js';
export type Options<TSlug extends GlobalSlug, TSelect extends SelectType> = {
    context?: RequestContext;
    data: DeepPartial<Omit<DataFromGlobalSlug<TSlug>, 'id'>>;
    depth?: number;
    draft?: boolean;
    fallbackLocale?: false | TypedLocale;
    locale?: 'all' | TypedLocale;
    overrideAccess?: boolean;
    overrideLock?: boolean;
    populate?: PopulateType;
    publishSpecificLocale?: TypedLocale;
    req?: Partial<PayloadRequest>;
    select?: TSelect;
    showHiddenFields?: boolean;
    slug: TSlug;
    user?: Document;
};
export default function updateLocal<TSlug extends GlobalSlug, TSelect extends SelectFromGlobalSlug<TSlug>>(payload: Payload, options: Options<TSlug, TSelect>): Promise<TransformGlobalWithSelect<TSlug, TSelect>>;
//# sourceMappingURL=update.d.ts.map