import type { RunningJobFromTask } from './config/types/workflowTypes.js';
import { type Payload, type PayloadRequest, type RunningJob, type TypedJobs, type Where } from '../index.js';
import { runJobs } from './operations/runJobs/index.js';
export declare const getJobsLocalAPI: (payload: Payload) => {
    queue: <TTaskOrWorkflowSlug extends keyof TypedJobs["tasks"] | keyof TypedJobs["workflows"]>(args: {
        input: TypedJobs["tasks"][TTaskOrWorkflowSlug]["input"];
        queue?: string;
        req?: PayloadRequest;
        task: TTaskOrWorkflowSlug extends keyof TypedJobs["tasks"] ? TTaskOrWorkflowSlug : never;
        waitUntil?: Date;
        workflow?: never;
    } | {
        input: TypedJobs["workflows"][TTaskOrWorkflowSlug]["input"];
        queue?: string;
        req?: PayloadRequest;
        task?: never;
        waitUntil?: Date;
        workflow: TTaskOrWorkflowSlug extends keyof TypedJobs["workflows"] ? TTaskOrWorkflowSlug : never;
    }) => Promise<TTaskOrWorkflowSlug extends keyof TypedJobs["workflows"] ? RunningJob<TTaskOrWorkflowSlug> : RunningJobFromTask<TTaskOrWorkflowSlug>>;
    run: (args?: {
        limit?: number;
        overrideAccess?: boolean;
        queue?: string;
        req?: PayloadRequest;
        where?: Where;
    }) => Promise<ReturnType<typeof runJobs>>;
    runByID: (args: {
        id: number | string;
        overrideAccess?: boolean;
        req?: PayloadRequest;
    }) => Promise<ReturnType<typeof runJobs>>;
};
//# sourceMappingURL=localAPI.d.ts.map